using UnityEngine;
using System.Collections;
namespace Mod
{
    
    public class SCP049Behaviour : MonoBehaviour
    {
        void OnCollisionEnter2D(Collision2D collision)
        {
            //ModAPI.Notify(this.gameObject.transform.parent.parent.GetComponent<PersonBehaviour>());  
            PersonBehaviour person = collision.gameObject.transform.parent.parent.GetComponent<PersonBehaviour>();
            if (person != this.gameObject.transform.parent.parent.GetComponent<PersonBehaviour>()) { 
                foreach (LimbBehaviour limb in person.Limbs) {

                    if (Random.value < 0.7) {
                        if (limb.name == "Head") { 
                            if (!limb.gameObject.GetComponent<ImmuneBehaviour>()) {
                                limb.IsZombie = true;
                                limb.Health = limb.InitialHealth;
                                limb.Numbness = 0.0f;
                            } else { 
                                return;
                            };
                        }; 
                    } else { 
                        limb.CirculationBehaviour.IsPump = false;
                    };
                };
            };

        }
    }
}