using UnityEngine;
using System.Collections;
namespace Mod
{
    public class SCP500Behaviour : MonoBehaviour
    {
        void OnCollisionEnter2D(Collision2D collision)
        {   
            if (collision.gameObject.name == "Head") {
                //ModAPI.Notify(collision.gameObject.transform.parent + " just ate " + this.gameObject.name);  
                foreach (LimbBehaviour limb in collision.gameObject.transform.parent.GetComponent<PersonBehaviour>().Limbs) {
                    limb.Health = limb.InitialHealth;
                    limb.HealBone();
                    limb.DiscomfortingHeatTemperature = float.MaxValue;
                    limb.CirculationBehaviour.HealBleeding();
                    limb.Numbness = 0.0f;
                    limb.RegenerationSpeed = 0.5f;
                    float amountOfBlood = limb.CirculationBehaviour.GetAmountOfBlood();
                    limb.Person.PainLevel = 0.0f;
                    limb.Person.ShockLevel = 0.0f;
                    limb.Person.Consciousness = 1f;
                    limb.Person.OxygenLevel = 1f;
                };
                Destroy(this.gameObject);
            };
        }
    }
}