using UnityEngine;
using System.Collections;
namespace Mod
{
    
    public class SCP714Behaviour : MonoBehaviour
    {
        void OnCollisionEnter2D(Collision2D collision)
        {      
            if (collision.gameObject.name == "LowerArm" || collision.gameObject.name == "LowerArmFront") {
                PersonBehaviour person = collision.gameObject.transform.parent.parent.GetComponent<PersonBehaviour>();
                foreach (LimbBehaviour limb in person.Limbs) {
                    limb.BaseStrength = 0.8f;
                    if (limb.name == "Head") { 
                        if (!limb.gameObject.GetComponent<ImmuneBehaviour>()) { 
                            limb.gameObject.AddComponent<ImmuneBehaviour>();
                        } else { 
                            Destroy(limb.gameObject.GetComponent<ImmuneBehaviour>());
                        };
                        
                    };
                    //if (limb.BaseStrength != 0.8f) { 
                    //    limb.BaseStrength = 0.8f;
                    //} else { 
                    //    limb.BaseStrength = 1f;
                    //}
                };
            };
        }
    }
}