using UnityEngine;
using System.Collections;
namespace Mod
{
    
    public class LevelOneDoorBehaviour : MonoBehaviour
    {
        public Sprite green = ModAPI.LoadSprite("doorgreen.png");
        public Sprite red = ModAPI.LoadSprite("doorred.png");
        public Sprite door = ModAPI.LoadSprite("door.png");
        //public AudioSource Close;
//
        //public AudioSource Open;
        IEnumerator OpenClose()
        {
            SpriteRenderer doorsprite = this.gameObject.GetComponent<SpriteRenderer>();

            foreach (var c in this.GetComponents<Collider2D>())
            {
                c.enabled = false;
            }
            ModAPI.Notify(this.gameObject.name + " just opened");
            doorsprite.sprite = green;
            yield return new WaitForSeconds(1);
            //AudioSource Open = this.gameObject.AddComponent<AudioSource>();
            //Open.clip = ModAPI.LoadSound("DoorOpen.ogg");
            //this.Open.Play();

            yield return new WaitForSeconds(2);
            doorsprite.sprite = door;
            ModAPI.Notify(this.gameObject.name + " just closed");   
            foreach (var c in this.GetComponents<Collider2D>())
            {
                c.enabled = true;
            }
            //AudioSource Close = this.gameObject.AddComponent<AudioSource>();
            //Close.clip = ModAPI.LoadSound("DoorClose.ogg");
            //this.Close.Play();
        }


        void OnCollisionEnter2D(Collision2D collision)
        {
            
            if (collision.gameObject.name == "Level One Keycard") {
                StartCoroutine(OpenClose());
            } else if (collision.gameObject.name == "Level Two Keycard") {
                StartCoroutine(OpenClose());
            } else if (collision.gameObject.name == "Level Three Keycard") { 
                StartCoroutine(OpenClose());
            } else if (collision.gameObject.name == "Level Four Keycard") { 
                StartCoroutine(OpenClose());
            } else if (collision.gameObject.name == "Level Five Keycard") {
                StartCoroutine(OpenClose());
            } else if (collision.gameObject.name == "Omni Keycard") {
                StartCoroutine(OpenClose());
            }
        }
    }
}