using UnityEngine;
using System.Collections;
namespace Mod
{
    
    public class ModGrenadeBehaviour : MonoBehaviour
    {

        public Sprite bobmDED = ModAPI.LoadSprite("bobmDED.png");

        IEnumerator Boom()
        {
            SpriteRenderer bobm = this.gameObject.GetComponent<SpriteRenderer>();
            bobm.sprite = bobmDED;
            yield return new WaitForSeconds(3);
        }
        void Awake(){ 
            this.gameObject.AddComponent<UseEventTrigger>().Action = () =>
            {
                StartCoroutine(Boom());
                ModAPI.CreateParticleEffect("Explosion", this.gameObject.transform.position);
                ExplosionCreator.CreateFragmentationExplosion(
                62, 
                this.gameObject.transform.position, 
                8, 
                12, 
                true, 
                false, 
                0.8f);
                Destroy(this.gameObject);
            };
        }
    }
}